Package org.eclipse.emf.cdo.spi.server

## Class AbstractOperationAuthorizer<CONTEXT>

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.AbstractOperationAuthorizer<CONTEXT>

- All Implemented Interfaces:
    `org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>`

      public abstract class AbstractOperationAuthorizer<CONTEXT>
      extends java.lang.Object
      implements org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>

  Since:
    4.15
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractOperationAuthorizer.Factory<CONTEXT>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOperationAuthorizer​(java.lang.String operationID)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract java.lang.String` | `authorizeOperation​(CONTEXT context, java.util.Map<java.lang.String,​java.lang.Object> parameters)` |
    `java.lang.String` | `authorizeOperation​(CONTEXT context, org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)` |
    `java.lang.String` | `getOperationID()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOperationAuthorizer

          public AbstractOperationAuthorizer​(java.lang.String operationID)

  - ### Method Detail

    - #### getOperationID

          public final java.lang.String getOperationID()

    - #### authorizeOperation

          public java.lang.String authorizeOperation​(CONTEXT context,
                                                     org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)

      Specified by:
        `authorizeOperation` in interface `org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>`

    - #### authorizeOperation

          protected abstract java.lang.String authorizeOperation​(CONTEXT context,
                                                                 java.util.Map<java.lang.String,​java.lang.Object> parameters)